<apex:page standardController="HOG_Work_Order_Type__c" sidebar="true" tabStyle="HOG_Work_Order_Type__c" extensions="WorkOrderType">
    <apex:form >
        <apex:pageBlock title="Work Order Type Edit" mode="edit">
            <apex:pageMessages />
            <apex:pageBlockButtons location="top">
                <apex:commandButton value="Save" action="{!save}"/>
                <apex:commandButton value="Save & New" action="{!saveAndNew}"/>
                <apex:commandButton value="Cancel" action="{!cancel}" immediate="true"/>                
            </apex:pageBlockButtons>
            <apex:pageBlockButtons location="bottom">
                <apex:commandButton value="Save" action="{!save}"/>
                <apex:commandButton value="Save & New" action="{!saveAndNew}"/>
                <apex:commandButton value="Cancel" action="{!cancel}" immediate="true"/>                
            </apex:pageBlockButtons>
            
            <apex:pageBlockSection title="Information" columns="1">                
                <apex:pageblocksectionitem >
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.HOG_Notification_Type__c.Label}" />
                    <apex:outputpanel layout="block" styleClass="requiredInput">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputField value="{!HOG_Work_Order_Type__c.HOG_Notification_Type__c}"/>
                    </apex:outputpanel>    
                </apex:pageblocksectionitem> 
                                                
                <apex:pageblocksectionitem >
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.HOG_User_Status__c.Label}" />
                    <apex:outputpanel layout="block" styleClass="requiredInput">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputField value="{!HOG_Work_Order_Type__c.HOG_User_Status__c}"/>
                    </apex:outputpanel>    
                </apex:pageblocksectionitem> 

                <apex:pageblocksectionitem >
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.HOG_Service_Required__c.Label}" />
                    <apex:outputpanel layout="block" styleClass="requiredInput">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputField value="{!HOG_Work_Order_Type__c.HOG_Service_Required__c}"/>
                    </apex:outputpanel>    
                </apex:pageblocksectionitem> 
	
                <apex:pageblocksectionitem >
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.HOG_Service_Code_MAT__c.Label}" />
                    <apex:outputpanel layout="block" styleClass="requiredInput">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputField value="{!HOG_Work_Order_Type__c.HOG_Service_Code_MAT__c}"/>
                    </apex:outputpanel>    
                </apex:pageblocksectionitem> 
                        
                <apex:pageblocksectionitem >                                
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.Record_Type_Name__c.Label}" />                
                    <apex:outputpanel layout="block" styleClass="requiredInput">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:selectList value="{!HOG_Work_Order_Type__c.Record_Type_ID__c}" size="1" label="Record Type">
                            <apex:selectOptions value="{!recordTypeOptions}"/>
                        </apex:selectList>
                    </apex:outputpanel>                            
                </apex:pageblocksectionitem>                        

                <apex:pageblocksectionitem >
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.Production_Service__c.Label}" />
                    <apex:inputField value="{!HOG_Work_Order_Type__c.Production_Service__c}"/>
                </apex:pageblocksectionitem> 

                <apex:pageblocksectionitem >
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.Skip_Parts_Damage_Cause__c.Label}" />
                    <apex:inputField value="{!HOG_Work_Order_Type__c.Skip_Parts_Damage_Cause__c}"/>
                </apex:pageblocksectionitem> 	

                <apex:pageblocksectionitem >
                    <apex:outputLabel value="{!$ObjectType.HOG_Work_Order_Type__c.fields.Active__c.Label}" />
                    <apex:inputField value="{!HOG_Work_Order_Type__c.Active__c}"/>
                </apex:pageblocksectionitem> 	
            </apex:pageBlockSection>    
        </apex:pageBlock>
    </apex:form>
</apex:page>